{
  description = "Alqueva is the largest lake in Portugal.";
  outputs =
    inputs@{ flake-parts, ... }:
    flake-parts.lib.mkFlake
      {
        inherit inputs;
      }
      {
        systems = [ "x86_64-linux" ];
        imports = [
          ./hosts
          ./shells
          ./lib
        ];
      };

  inputs = {
    nixpkgs = {
      type = "github";
      owner = "nixos";
      repo = "nixpkgs";
      ref = "nixos-unstable";
    };
    chaotic = {
      type = "github";
      owner = "chaotic-cx";
      repo = "nyx";
      ref = "nyxpkgs-unstable";
    };
    flake-parts = {
      type = "github";
      owner = "hercules-ci";
      repo = "flake-parts";
      inputs.nixpkgs-lib.follows = "nixpkgs";
    };
    git-hooks-nix = {
      type = "github";
      owner = "cachix";
      repo = "git-hooks.nix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    wallpkgs = {
      type = "github";
      owner = "notashelf";
      repo = "wallpkgs";
    };
    pankomacs = {
      type = "git";
      url = "https://copeberg.org/amadaluzia/pankomacs.git";
      ref = "main";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    painless-neovim = {
      type = "git";
      url = "https://copeberg.org/amadaluzia/painless-neovim.git";
      ref = "master";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    hetch = {
      type = "git";
      url = "https://copeberg.org/amadaluzia/hetch.git";
      ref = "master";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    alqages = {
      type = "git";
      url = "https://copeberg.org/amadaluzia/alqages.git";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    kirsch = {
      type = "github";
      owner = "molarmanful";
      repo = "kirsch";
      ref = "main";
      inputs = {
        nixpkgs.follows = "nixpkgs";
        flake-parts.follows = "flake-parts";
      };
    };
  };
}
